Skip to main content
GET
/
zone
/
count_available_ips
cURL
curl --request GET \
  --url https://api.brightdata.com/zone/count_available_ips \
  --header 'Authorization: Bearer <token>'
{
  "count": 1234
}

Documentation Index

Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
  • Available IPs for current Zone plan:
curl "https://api.brightdata.com/count_available_ips?zone=ZONE" -H "Authorization: Bearer API_KEY"
  • Abstract plan, dedicated IPs:
dedicated IPs
curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"dedicated\"\}" -H "Authorization: Bearer API_KEY"
  • Abstract plan, shared IPs located in United States:
curl "https://api.brightdata.com/count_available_ips?plan=\{\"country\":\"us\",\"ips_type\":\"shared\"\}" -H "Authorization: Bearer API_KEY"
  • Abstract plan, dedicated ips located in United States:
curl "https://api.brightdata.com/count_available_ips?plan=\{\"country\":\"us\",\"ips_type\":\"dedicated\"\}" -H "Authorization: Bearer API_KEY"
  • Abstract plan, shared IPs located in United States, Denver:
curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"shared\",\"country_city\":\"us-denver\",\"city\":true\}" -H "Authorization: Bearer API_KEY"
  • Abstract plan, shared IPs located in US, exclusive for domains: amazon.com, fb.com:
curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"selective\",\"country\":\"us\",\"domain_whitelist\":\"amazon.com%20fb.com\"\}" -H "Authorization: Bearer API_KEY"
  • Abstract plan, shared IPs located in US, geo IP databases: should persist in both maxmind and dbip:
curl "https://api.brightdata.com/count_available_ips?plan=\{\"ips_type\":\"shared\",\"country\":\"us\",\"geo_db\":\{\"maxmind\":true,\"dbip\":true\}\}" -H "Authorization: Bearer API_KEY"

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Query Parameters

zone
string

name of the Zone

plan
object

Response

200 - application/json

OK

The response is of type object.